OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeBSplineSurface Class Reference

This class implements the mapping between classes
BSplineSurface from StepGeom
and class BSplineSurface from Geom
.

`#include <StepToGeom_MakeBSplineSurface.hxx>`

Inheritance diagram for StepToGeom_MakeBSplineSurface:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeBSplineSurface (const Handle(StepGeom_BSplineSurface)&Bsplin)
Standard_EXPORT const Handle_Geom_BSplineSurface & | Value () const
## Private Attributes
Handle_Geom_BSplineSurface | theBSplineSurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeBSplineSurface::StepToGeom_MakeBSplineSurface | ( | const Handle(StepGeom_BSplineSurface)& | Bsplin | ) |

## Member Function Documentation

void StepToGeom_MakeBSplineSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBSplineSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBSplineSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_BSplineSurface& StepToGeom_MakeBSplineSurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_BSplineSurface StepToGeom_MakeBSplineSurface::theBSplineSurface`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeBSplineSurface.hxx